# Uses of Class
javax.management.AttributeList

Packages that use AttributeList
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of AttributeList in javax.management

Methods in javax.management that return AttributeList
Modifier and Type
Method
Description
`AttributeList`
DynamicMBean.`getAttributes(String[] attributes)`
Get the values of several attributes of the Dynamic MBean.
`AttributeList`
MBeanServer.`getAttributes(ObjectName name, String[] attributes)`
`AttributeList`
MBeanServerConnection.`getAttributes(ObjectName name, String[] attributes)`
Retrieves the values of several attributes of a named MBean.
`AttributeList`
StandardMBean.`getAttributes(String[] attributes)`
`AttributeList`
DynamicMBean.`setAttributes(AttributeList attributes)`
Sets the values of several attributes of the Dynamic MBean.
`AttributeList`
MBeanServer.`setAttributes(ObjectName name, AttributeList attributes)`
`AttributeList`
MBeanServerConnection.`setAttributes(ObjectName name, AttributeList attributes)`
Sets the values of several attributes of a named MBean.
`AttributeList`
StandardMBean.`setAttributes(AttributeList attributes)`
Methods in javax.management with parameters of type AttributeList
Modifier and Type
Method
Description
`boolean`
AttributeList.`addAll(int index, AttributeList list)`
Inserts all of the elements in the `AttributeList` specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the `AttributeList` specified.
`boolean`
AttributeList.`addAll(AttributeList list)`
Appends all the elements in the `AttributeList` specified to the end of the list, in the order in which they are returned by the Iterator of the `AttributeList` specified.
`AttributeList`
DynamicMBean.`setAttributes(AttributeList attributes)`
Sets the values of several attributes of the Dynamic MBean.
`AttributeList`
MBeanServer.`setAttributes(ObjectName name, AttributeList attributes)`
`AttributeList`
MBeanServerConnection.`setAttributes(ObjectName name, AttributeList attributes)`
Sets the values of several attributes of a named MBean.
`AttributeList`
StandardMBean.`setAttributes(AttributeList attributes)`
Constructors in javax.management with parameters of type AttributeList
Modifier
Constructor
Description
``
`AttributeList(AttributeList list)`
Constructs an `AttributeList` containing the elements of the `AttributeList` specified, in the order in which they are returned by the `AttributeList`'s iterator.

## Uses of AttributeList in javax.management.modelmbean

Methods in javax.management.modelmbean that return AttributeList
Modifier and Type
Method
Description
`AttributeList`
RequiredModelMBean.`getAttributes(String[] attrNames)`
Returns the values of several attributes in the ModelMBean.
`AttributeList`
RequiredModelMBean.`setAttributes(AttributeList attributes)`
Sets the values of an array of attributes of this ModelMBean.
Methods in javax.management.modelmbean with parameters of type AttributeList
Modifier and Type
Method
Description
`AttributeList`
RequiredModelMBean.`setAttributes(AttributeList attributes)`
Sets the values of an array of attributes of this ModelMBean.

## Uses of AttributeList in javax.management.remote.rmi

Methods in javax.management.remote.rmi that return AttributeList
Modifier and Type
Method
Description
`AttributeList`
RMIConnection.`getAttributes(ObjectName name, String[] attributes, Subject delegationSubject)`
Handles the method `MBeanServerConnection.getAttributes(ObjectName, String[])`.
`AttributeList`
RMIConnectionImpl_Stub.`getAttributes(ObjectName $param_ObjectName_1, String[] $param_arrayOf_String_2, Subject $param_Subject_3)`
`AttributeList`
RMIConnectionImpl.`getAttributes(ObjectName name, String[] attributes, Subject delegationSubject)`
`AttributeList`
RMIConnection.`setAttributes(ObjectName name, MarshalledObject attributes, Subject delegationSubject)`
Handles the method `MBeanServerConnection.setAttributes(ObjectName, AttributeList)`.
`AttributeList`
RMIConnectionImpl_Stub.`setAttributes(ObjectName $param_ObjectName_1, MarshalledObject $param_MarshalledObject_2, Subject $param_Subject_3)`
`AttributeList`
RMIConnectionImpl.`setAttributes(ObjectName name, MarshalledObject attributes, Subject delegationSubject)`